using XGame.Framework.Database;
using XGame.Framework.Serialization;

namespace FL.Database
{
    public class SimpleTable : ITable
    {
        public int id;
        public string name;
        public SimpleType simpleType;
        int ITable.Key => id;

        void ISerializable.Deserialize(IReader reader)
        {
            id = reader.ReadInt();
            name = reader.ReadString();
            simpleType = (SimpleType)reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(id);
            writer.Write(name);
            writer.Write((int)simpleType);
        }
    }
}

