﻿using XGame.Framework.Data;
using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public static partial class NodeKeys
    {
        private static NodeKey _GameMain;
        public static NodeKey GameMain => _GameMain ?? (_GameMain = new NodeKey("GameMain", (uint)NodeGroupDefine.GameMain, typeof(GameMainNode)));
    }
    public class GameMainNode : Node
    {
        protected override void OnDispose()
        {
        }

        protected override void OnInited()
        {
        }

        protected override void RegisterBusiness(IBusinessGroup businessGroup)
        {
            businessGroup.AddBusiness(new GameMainMapBusiness());
            businessGroup.AddBusiness(new GameMainUIBusiness());
        }

        protected override void RegisterData(IDataGroup dataGroup)
        {
        }
    }
}