﻿namespace XGame.Framework.Map
{
    public interface IEntityView
    {
        /// <summary>
        /// 激活状态
        /// </summary>
        bool Active { get; }
        /// <summary>
        /// 激活
        /// </summary>
        void Enable(object intent = null);
        /// <summary>
        /// 隐藏
        /// </summary>
        void Disable();
    }
    public interface IEntityProxy
    {
        EntityBehaviour Behaviour { get; set; }
    }
}