﻿namespace XGame.Framework.Nodes
{
    /// <summary>
    /// 业务集合
    /// 主要用于实现业务的Enable、Update、LateUpdate、Load、Unload操作
    /// </summary>
    public interface IBusinessGroup
    {
        /// <summary>
        /// 添加业务
        /// </summary>
        /// <param name="business"></param>
        void AddBusiness(IBusiness business);
    }
}
