﻿/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可修改
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，业务不要编辑
    /// </summary>
    public partial class <#UIName>ViewModel : UIViewModelFGUI
    {
<#PropertyDefineArea>
        public <#UIName>ViewModel(GComponent panel) : base(panel)
        {
        }
        protected override void BindComponents(GComponent panel)
        {
<#PropertyAssignArea>
        }
    }
}