﻿namespace XGame.Framework.Nodes
{
    /// <summary>
    /// 业务基类
    /// </summary>
    public abstract class BusinessBase : IBusiness, IContextSetter
    {
        private NodeContext _context;
        public NodeContext Context => _context;
        NodeContext IContextSetter.Context { set => _context = value; }
        public abstract void OnEnable(object intent);
        public abstract void OnDisable();
    }
}
